#!/bin/sh

MYDIR=$(cd $(dirname $0) && pwd)
SHM_TEST=${MYDIR}/fca_shm_test
#SHM_TEST=/opt/mellanox/fca/bin/fca_shm_test
NUM_CORES=$(cat /proc/cpuinfo |grep processor| wc -l)
ITERS=${ITERS:-10000000}
ARGS=$@

list=""
for ((np=1;np<=$NUM_CORES;++np))
do
	CMD="${SHM_TEST} -n $np -i $ITERS $ARGS"
	latency=$(${CMD} | awk '{print $3}')
	list="$list $latency"
	echo "$CMD :    $np  $latency "
done


